﻿body {
	transition: margin-left 0.5s ease-in-out, margin-right 0.5s ease-in-out;
	transition-timing-function: ease-in-out;
}

body.vaulteron-modal-open {
	margin-left: -20em;
	margin-right: 20em;
	overflow: hidden;

	#vaulteron-open-modal-button-id {
		visibility: hidden !important;
	}
}

body.mui-scroll-lock {
	overflow: hidden !important;
	padding-right: 0 !important;
}

#vaulteron-open-modal-button-id,
#vaulteron-modal-id_content,
#vaulteron-open-save-entered-password-popup-id,
#vaulteron-login-recommendation-button-id {
	/* general style that will get inherited */
	font-size: 1em;
	font-family: "Roboto", "Helvetica", "Arial", sans-serif;
	font-weight: 400;
	line-height: 1.5;
	letter-spacing: 0.00938em;

	label {
		margin-bottom: 0;
	}

	.vaulteron-modal-header {
		display: flex;
		align-items: center;
		justify-content: center;
		margin-bottom: 5em;

		.vaulteron-logo {
			display: flex;

			svg {
				height: 30px !important;
				width: 30px !important;
			}
		}

		.vaulteron-heading {
			font-size: 1.3em;
			margin-left: 1em;
		}

		.vaulteron-close-icon {
			margin-left: auto;
			height: 20px;
			width: 20px;
			cursor: pointer;
		}
	}

	/* ################################################################################################################## */
	/* ################################################### MUI styles ################################################### */
	/* ################################################################################################################## */

	@keyframes animation-circular-progress-outer {
		0% {
			transform: rotate(0deg);
		}
		100% {
			transform: rotate(360deg);
		}
	}

	@keyframes animation-circular-progress-inner {
		0% {
			stroke-dasharray: 1px, 200px;
			stroke-dashoffset: 0;
		}
		50% {
			stroke-dasharray: 100px, 200px;
			stroke-dashoffset: -15px;
		}
		100% {
			stroke-dasharray: 100px, 200px;
			stroke-dashoffset: -125px;
		}
	}

	.vaulteron-circular-progress-container {
		display: flex;
		align-items: center;
		justify-content: center;

		.vaulteron-circular-progress {
			width: 40px;
			height: 40px;
			display: inline-block;
			color: rgb(25, 118, 210);
			animation: 1.4s linear 0s infinite normal none running animation-circular-progress-outer;

			.MuiCircularProgress-svg {
				display: block;

				.MuiCircularProgress-circle.MuiCircularProgress-circleIndeterminate {
					stroke: currentcolor;
					stroke-dasharray: 80px, 200px;
					stroke-dashoffset: 0;
					animation: 1.4s ease-in-out 0s infinite normal none running animation-circular-progress-inner;
				}
			}
		}
	}

}
